Sync a manifest
curl --request PUT \
--url https://api.reintersect.com/v0/apps/{appId}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/{appId}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/{appId}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/{appId}/manifest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/{appId}/manifest"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reintersect.com/v0/apps/{appId}/manifest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/{appId}/manifest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDeploy
Sync a manifest
Record a new version of a self-hosted app from its manifest.
PUT
/
v0
/
apps
/
{appId}
/
manifest
Sync a manifest
curl --request PUT \
--url https://api.reintersect.com/v0/apps/{appId}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/{appId}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/{appId}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/{appId}/manifest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/{appId}/manifest"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reintersect.com/v0/apps/{appId}/manifest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/{appId}/manifest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Records a version from a manifest without a bundle. Self-hosted apps deploy this way; hosted apps
may sync previews this way but publish production with an upload.
Syncing a manifest identical to the latest version returns that version.
Authenticate with a member API key of the app’s owner or of a workspace owner or admin, a deploy
token for this app, or an agent builder token for an app the member owns. Any other caller gets
ReintersectAppNotFoundError.
Body
| Field | Required | Description |
|---|---|---|
manifest | Yes | The manifest. |
target | Yes | preview or production. |
Response
The version, as in Upload a hosted version.Errors
_tag | Status | Cause |
|---|---|---|
ReintersectAppNotFoundError | 404 | No such app, or you may not deploy it. |
ReintersectAppDeployTargetForbiddenError | 403 | A preview-only deploy token or an agent builder token asked for production. |
ReintersectAppManifestInvalidError | 422 | The manifest breaks a rule; reason says which. See Manifest validation. |
ReintersectAppPatternInvalidError | 422 | A reference pattern is invalid; reason says why. |